#ifndef _GAMEENDDLG_H_
#define _GAMEENDDLG_H_

#include <kdialogbase.h>

class TQSlider;
class TQPushButton;

class GameEndDlg : public KDialogBase
{
    TQ_OBJECT
  

public:
    GameEndDlg( TQWidget *parent );
    virtual ~GameEndDlg();
    
    int extraTurns();

private:
    void init();

private slots:
    void turnCountChange( int );
    void slotYes();
    
private:
    TQSlider *turnCount;
    TQLabel *turnCountLbl;
};

#endif // _GAMEENDDLG_H_

